QGIS Application - Bug report #5154
Need to check that precision<field width when adding a column
2012-03-10 09:19 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14906
Description

The "New Column" button in the attribute table window allows you to add a column even if you specify a precision greater than the field
width you specify. It is then impossible to enter data in the column.

I'm guessing the field calculator would allow you to do the same thing, but | haven't tested it.

Related issues:
Related to QGIS Application - Bug report # 14019: Problems with a field where... Closed 2015-12-20

Associated revisions

Revision 9d473aae - 2016-01-17 05:21 PM - Alexander Bruy

don't allow field precision greater than field width (fix #14019, #5154)

Revision c1f7257b - 2016-01-31 08:53 AM - Nyall Dawson

Merge pull request #2682 from alexbruy/field-precision

don't allow field precision greater than field width (fix #14019, #5154)

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-09-16 10:15 PM - Alister Hood

I'm guessing the field calculator would allow you to do the same thing, but | haven't tested it.

Using the field calculator you can add a column with a precision greater than the field width, but this way it is possible to enter data in the column.

#3 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-12-08 08:37 AM - Médéric RIBREUX

- Status changed from Open to In Progress
Hello, bug triage...

in QGIS 2.13 master, you can't set a precision greater than the field length for decimal number (real) in the "Add field" tool in the Fields tab of the layer

properties.

BUT, this is not true field calculator where you can modify the precision field like you want with no limit.

Half way done ! | think (unchecked) that we need to make some code fixes into src/app/qgsfieldcalculator.cpp...

#5 - 2016-01-30 11:55 PM - Nyall Dawson
- Status changed from In Progress to Closed

Fixed in changeset commit:"c1f7257b24ab79e9a3d43768bab7d69e644e3fb5".
